package com.unibuy.smartdevice.structure;

/*
String res1 = jsonArray.getJSONObject(0).getString("res1"); // put id
String res2 = jsonArray.getJSONObject(0).getString("res2"); //mode
String res3 = jsonArray.getJSONObject(0).getString("res3"); //出貨商品代碼
String res4 = jsonArray.getJSONObject(0).getString("res4"); //折扣金額
String res5 = jsonArray.getJSONObject(0).getString("res5"); //折扣折數
 */
public class ReportFreeGiftCodeStructure {
    private String freeGiftId;
    private int mode;
    private String productId;
    private int discountAmount;
    private float discountPercentage;
    private String passCode;
    private String reportFlowId;
    private int field;
    private int slot;
    private int money;

    public ReportFreeGiftCodeStructure(String freeGiftCodeId, int mode, String productId, int discountAmount, float discountPercentage, String passCode) {
        this.freeGiftId = freeGiftCodeId;
        this.mode = mode;
        this.productId = productId;
        this.discountAmount = discountAmount;
        this.discountPercentage = discountPercentage;
        this.passCode = passCode;
        this.reportFlowId = "";
        this.field = 0;
        this.slot = 0;
        this.money = 0;
    }

    public String getFreeGiftId() {
        return freeGiftId;
    }

    public void setFreeGiftId(String freeGiftId) {
        this.freeGiftId = freeGiftId;
    }

    public int getMode() {
        return mode;
    }

    public void setMode(int mode) {
        this.mode = mode;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public int getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(int discountAmount) {
        this.discountAmount = discountAmount;
    }

    public float getDiscountPercentage() {
        return discountPercentage;
    }

    public void setDiscountPercentage(float discountPercentage) {
        this.discountPercentage = discountPercentage;
    }

    public String getPassCode() {
        return passCode;
    }

    public void setPassCode(String passCode) {
        this.passCode = passCode;
    }

    public String getReportFlowId() {
        return reportFlowId;
    }

    public void setReportFlowId(String reportFlowId) {
        this.reportFlowId = reportFlowId;
    }

    public int getField() {
        return field;
    }

    public void setField(int field) {
        this.field = field;
    }

    public int getSlot() {
        return slot;
    }

    public void setSlot(int slot) {
        this.slot = slot;
    }

    public int getMoney() {
        return money;
    }

    public void setMoney(int money) {
        this.money = money;
    }
}
